TypeScript
import { Livepeer } from "livepeer";
const livepeer = new Livepeer({
apiKey: "<YOUR_BEARER_TOKEN_HERE>",
});
async function run() {
const result = await livepeer.multistream.getAll();
// Handle the result
console.log(result);
}
run();package main
import(
livepeergo "github.com/livepeer/livepeer-go"
"context"
"log"
)
func main() {
s := livepeergo.New(
livepeergo.WithSecurity("<YOUR_BEARER_TOKEN_HERE>"),
)
ctx := context.Background()
res, err := s.Multistream.GetAll(ctx)
if err != nil {
log.Fatal(err)
}
if res.Data != nil {
// handle response
}
}from livepeer import Livepeer
s = Livepeer(
api_key="<YOUR_BEARER_TOKEN_HERE>",
)
res = s.multistream.get_all()
if res.data is not None:
# handle response
passcurl --request GET \
--url https://livepeer.studio/api/multistream/target \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://livepeer.studio/api/multistream/target', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": "09F8B46C-61A0-4254-9875-F71F4C605BC7",
"name": "<string>",
"userId": "66E2161C-7670-4D05-B71D-DA2D6979556F",
"disabled": true,
"createdAt": 1587667174725
}
]{
"errors": [
[
"id not provided",
"Account not found"
]
]
}Multistream target
Retrieve all multistreams
GET
/
multistream
/
target
TypeScript
import { Livepeer } from "livepeer";
const livepeer = new Livepeer({
apiKey: "<YOUR_BEARER_TOKEN_HERE>",
});
async function run() {
const result = await livepeer.multistream.getAll();
// Handle the result
console.log(result);
}
run();package main
import(
livepeergo "github.com/livepeer/livepeer-go"
"context"
"log"
)
func main() {
s := livepeergo.New(
livepeergo.WithSecurity("<YOUR_BEARER_TOKEN_HERE>"),
)
ctx := context.Background()
res, err := s.Multistream.GetAll(ctx)
if err != nil {
log.Fatal(err)
}
if res.Data != nil {
// handle response
}
}from livepeer import Livepeer
s = Livepeer(
api_key="<YOUR_BEARER_TOKEN_HERE>",
)
res = s.multistream.get_all()
if res.data is not None:
# handle response
passAuthorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Response
Success
Example:
"09F8B46C-61A0-4254-9875-F71F4C605BC7"
Example:
"66E2161C-7670-4D05-B71D-DA2D6979556F"
If true then this multistream target will not be used for pushing even if it is configured in a stream object.
Timestamp (in milliseconds) at which multistream target object was created
Example:
1587667174725
Last modified on June 2, 2026
Was this page helpful?
⌘I